public class PersonenV2
{
	public static void main (String[]args)
	{
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		
		String tastaturText="";
		boolean check = false;
		
			
		Student[]studenten = new Student[10];
		Angestellte[]angestellte = new Angestellte[10];
		Person[]person= new Person [10];
		
		int anzahlPersonen = Person.getCount();
		System.out.println("Sie haben "+anzahlPersonen+" Mitarbeiter.");
		System.out.println("Initializing Database... please stand by...");
		System.out.println("");
		
		studenten[0] = new Student("Baader", "Andreas", "R1968AF", "Frankfurt");
		studenten[1] = new Student("Ensslin", "Gudrun", "RAF1968", "Berlin");
		
		angestellte[0] = new Angestellte("Newton", "Isaac", 345678, "Physiker");
		angestellte[1] = new Angestellte("Hoffmann", "Albert", 543210, "Chemiker");
		
		person[0] = new Person("Cartman", "Eric");
		person[1] = new Person("Nym", "Arno");
		
		anzahlPersonen = Person.getCount();
		
		
		int anzahlStudenten = Student.getCount();
		int anzahlAngestellte = Angestellte.getCount();
		int anzahlMitarbeiter = anzahlAngestellte+anzahlStudenten;
		int anzahlPersonenRest = anzahlPersonen-anzahlMitarbeiter;
		
		System.out.println("Sie haben "+anzahlMitarbeiter+" Mitarbeiter...");
		System.out.println("davon sind "+anzahlStudenten+ " Studenten und "+anzahlAngestellte+" Angestellte.");
		System.out.println("Insgesamt sind "+anzahlPersonen+" Personen in der Datenbank.");
		System.out.println("");
		
		System.out.println("Die Studenten sind:");		
		for (int i=0; i<anzahlStudenten; i++)
		{
			String vorname = studenten[i].getVorname();		
			String name = studenten[i].getName();
			String matrikel = studenten[i].getMatrikel();
			String ort = studenten[i].getStudienOrt();
			
			System.out.println(""+studenten[i].getVorname()+" "+studenten[i].getName()+", MatrikelNr: "+studenten[i].getMatrikel()+", Studienort: "+studenten[i].getStudienOrt());
		}
		
		System.out.println("");
		System.out.println("Die Angestellten sind:");		
		for (int i=0; i<anzahlAngestellte; i++)
		{
			System.out.println(""+angestellte[i].getVorname()+" "+angestellte[i].getName()+", Gehalt: "+angestellte[i].getBeruf()+", Beruf: "+angestellte[i].getBeruf());
		}
		
		System.out.println("");
		System.out.println("Die übrigen Personen sind:");		
		for (int i=0; i<anzahlPersonenRest; i++)
		{
			System.out.println(""+person[i].getVorname()+" "+person[i].getName());
		}
		
		while (check == false)
		{
			System.out.println("Möchten Sie Daten ändern? j/n ");
			try
			{
			tastaturText = in.readLine();
				if (tastaturText.equals("J")||tastaturText.equals("N")||tastaturText.equals("j")||tastaturText.equals("n"))
					check =true;
				else
				  System.out.println("Bitte ueberpruefen Sie ihre Eingabe!");				
			}
			catch (Exception e)
			{	
			System.out.println("Bitte ueberpruefen Sie ihre Eingabe!");	
			check = false;
			}
		}
		check = false;
		while (check == false)
		{
			if (tastaturText.equals("J")||tastaturText.equals("j"))
			{				
				try
				{  
					System.out.println("Studenten oder Angestellte? s/a");
					tastaturText = in.readLine();
					if (tastaturText.equals("S")||tastaturText.equals("A")||tastaturText.equals("s")||tastaturText.equals("a"))
						check =true;
					else
					  System.out.println("Bitte ueberpruefen Sie ihre Eingabe!");				
				}
				catch (Exception e)
				{	
					System.out.println("Bitte ueberpruefen Sie ihre Eingabe!");	
					check = false;
				}
				
			}
				
			if (tastaturText.equals("S")||tastaturText.equals("s"))
			{
				try
				{  
					System.out.println("");
					tastaturText = in.readLine();
					if (tastaturText.equals("S")||tastaturText.equals("A")||tastaturText.equals("s")||tastaturText.equals("a"))
						check =true;
					else
					  System.out.println("Bitte ueberpruefen Sie ihre Eingabe!");				
				}
				catch (Exception e)
				{	
					System.out.println("Bitte ueberpruefen Sie ihre Eingabe!");	
					check = false;
				}
			}
		
		}
		
	}	
}	